{ pkgs, ... }: {
  home = {
    language.base = "it_IT.UTF-8";
    keyboard = {
      layout = "it,us";
      options = [ "terminate:ctrl_alt_bksp" "compose:rctrl" "grp:menu_toggle" ];
    };
    packages = with pkgs; [
      pulseaudio

      arandr
      unstable.authy
      bitwarden
      btop
      cava
      unstable.discord
      docker-compose
      docker-machine
      dmenu
      droidcam
      easyeffects
      # element-desktop # matrix client
      # evince
      # evolution
      file
      firefox-bin
      # freecad
      gallery-dl
      gnome.eog
      gnome.evince
      gnome.file-roller
      gnome.geary
      gnome.gnome-calendar
      gnome.gnome-font-viewer
      gnome.gnome-screenshot
      # gnome.gnome-sound-recorder
      gnome.gnome-sound-recorder
      # gnome.gnome-sudoku
      gnome.gnome-sudoku
      # gnome.gnome-system-monitor
      # gnome.gnome-tweaks
      # gnome.nautilus
      # gnome.quadrapassel
      # gnome.seahorse
      # gnome.sushi
      gnome.totem
      (google-chrome.override {
        commandLineArgs = [ "--password-store=gnome" "--force-dark-mode" ];
      })
      gucharmap
      handbrake
      htop
      httpie
      # hyperspace-cli
      inkscape
      jetbrains.datagrip
      # keepassxc
      krita
      lutris
      meld
      # minecraft
      mmv-go
      # mycrypto
      neofetch
      nixos-option
      nix-prefetch-scripts
      nix-tree
      unstable.obsidian
      openvpn
      p7zip
      pavucontrol
      # pcmanfm
      pentablet-driver
      postman
      procps
      # pulseaudio
      # retroarchFull
      ripgrep
      # signal-desktop
      skypeforlinux
      # slack
      spotify
      teams
      tex2nix
      unstable.thunderbird
      transmission-gtk
      unrar
      # (unstable.blender.override { cudaSupport = true; })
      unstable.tdesktop
      unstable.zotero
      unzip
      virt-manager
      virt-viewer
      wget
      # wineFull
      wireguard-tools
      xclip
      xournalpp
      yq
      zip
      zoom-us
    ];
  };

  services = { gnome-keyring.enable = true; };

  xsession = {
    enable = true;
    numlock.enable = true;
    initExtra = ''
      ## Touchpad
      ${pkgs.xorg.xinput}/bin/xinput set-prop 'DELL0824:00 06CB:7E92 Touchpad' 'libinput Natural Scrolling Enabled' 1
      ${pkgs.xorg.xinput}/bin/xinput set-prop 'DELL0824:00 06CB:7E92 Touchpad' 'libinput Tapping Enabled' 1
      ${pkgs.xorg.xinput}/bin/xinput set-prop 'DELL0824:00 06CB:7E92 Touchpad' 'libinput Disable While Typing Enabled' 1
    '';
  };

  imports = [
    ../hm_modules/__basic.nix

    ../hm_modules/cpp.nix
    ../hm_modules/go.nix
    ../hm_modules/java.nix
    ../hm_modules/javascript.nix
    ../hm_modules/latex.nix
    ../hm_modules/python.nix
    ../hm_modules/rust.nix

    ../hm_modules/alacritty.nix
    ../hm_modules/autorandr.nix
    ../hm_modules/bspwm.nix
    ../hm_modules/cava.nix
    ../hm_modules/easyeffects.nix
    # ../hm_modules/dunst.nix
    # ../hm_modules/grobi.nix
    ../hm_modules/gtk_theme.nix
    ../hm_modules/heif.nix
    ../hm_modules/helix.nix
    # ../hm_modules/joystickwake.nix
    ../hm_modules/kakoune.nix
    # ../hm_modules/keepassxc.nix
    ../hm_modules/kdeconnect.nix
    ../hm_modules/kitty.nix
    ../hm_modules/kubernetes-admin.nix
    ../hm_modules/libinput-gestures.nix
    ../hm_modules/mangohud.nix
    ../hm_modules/megasync.nix
    ../hm_modules/mpv.nix
    # ../hm_modules/nautilus.nix
    ../hm_modules/nix-index.nix
    ../hm_modules/noti.nix
    ../hm_modules/nushell.nix
    ../hm_modules/obs-studio.nix
    ../hm_modules/office.nix
    ../hm_modules/onedrive.nix
    ../hm_modules/pass.nix
    ../hm_modules/picom.nix
    ../hm_modules/polybar.nix
    # ../hm_modules/pro_audio.nix
    # ../hm_modules/pycharm.nix
    ../hm_modules/rofi.nix
    # ../hm_modules/screen_locker.nix
    ../hm_modules/security.nix
    ../hm_modules/sxhkd.nix
    ../hm_modules/syncthing.nix
    ../hm_modules/terminator.nix
    # ../hm_modules/thunar.nix
    ../hm_modules/twmn.nix
    ../hm_modules/update_background.nix
    ../hm_modules/webapp.nix
    ../hm_modules/xidlehook.nix
    ../hm_modules/zathura.nix
  ];

  home.stateVersion = "21.11";
}
